<template>
  <div class="home-component">
    <div class="main-cover">

      <div class="cover-capture">
        <h5>Идеальное на лето!</h5>
        <p>Поторопись ознакомиться и получить 10% скидки на весь товар!</p>
        <button class="action-button black-button" @click="$router.push('/products')">В МАГАЗИН</button>
      </div>
    </div>
    <div class="mobile-add container mb-2 pt-2" @click="$router.push('/products')">
      <div>
        <span>BALI STYLE</span>
        <span>Открой для себя новый тренд! </span>

      </div>
    </div>

    <div class="container">
      <div class="categories-capture row" @click="$router.push('/products')">
        <div class="capture-1 col-6 col-md-3">
          <div class="category-capture"><span>Летние Платья</span></div>
        </div>
        <div class="capture-2 col-6 col-md-3">
          <div class="category-capture"><span>Футболки & Шорты</span></div>
        </div>
        <div class="capture-3 col-6 col-md-3">
          <div class="category-capture"><span>Сумки & Аксессуары</span></div>
        </div>
        <div class="capture-4 col-6 col-md-3">
          <div class="category-capture"><span>Специальные предложения</span></div>
        </div>
      </div>
    </div>

    <div class="container">
      <div class="promo-block">
        <div class="promo-capture">
          <p> - 20% НА ЛЕТО. ПРОМО-КОД:  <span class="promo-code">SAVE20</span></p>
          <p>РАДЫ, ЧТО ВЫ С НАМИ <i class="fa fa-heart"></i></p> 
        </div>
      </div>
    </div>

    <h4 class="panel-break mt-3">ПОПУЛЯРНОЕ</h4>

    <TopProducts></TopProducts>

    <div class="widget-newsletter">
      <h3 class="widget-title">Подписка / Контакты</h3>
      <div class="main-wrapper">
        <div class="container">
          <div class="row">
            <div class="col-sm-12 col-md-12 col-lg-8">
              <div class="row footer-text">
                <div class="col-sm-4 mb-1">
                  <h5>О НАС</h5>
                  <p>INFAMISS - это уникальное место, в котором можно отслеживать тенденции и развивать свой стиль. Эта онлайн-платформа предлагает модную женскую одежду на все случаи жизни и любое время года.</p>
                </div>
                <div class="col-sm-4 mb-1">
                  <h5>КОЛЛЕКЦИИ</h5>
                  <ul>
                    <li>Летние Платья</li>
                    <li>Футболки & Шорты</li>
                    <li>Сумки и Аксесусары</li>
                    <li>Специальные предложения</li>
                  </ul>
                </div>
                <div class="col-sm-4 mb-1">
                  <h5>КОНТАКТЫ</h5>
                  <p><i class="fa fa-envelope"></i><span> infamiss@mail.com</span></p>
                </div>
              </div>
            </div>
            <div class="col-sm-12 col-md-12 col-lg-4">
              <div class="newsletter-box">
                <div class="main newsletter-wrapper">
                  <div class="logo">
                    <img src="../assets/logo4.png">
                  </div>
                  <h4>Подпишитесь на нашу рассылку</h4>
                  <p>Будьте в курсе новых тредов и наших поступлений</p>
                  <form>
                    <input type="text" class="form-control" placeholder="Ваш EMAIL адрес" />
                    <input class="action-button gray-button mt-2" type="submit" value="ПОДПИСАТЬСЯ" />
                  </form>
                </div>
              </div>
            </div>            
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import TopProducts from "@/components/products/TopProducts.vue";
export default {
  name: "home",
  components: {
    TopProducts
  },
  mounted() {
    this.$nextTick(() => {
      $(window).scroll(function() {
        let vScroll = $(this).scrollTop();

        let opacity = (1 - (vScroll / 1000).toFixed(1));
        $('.cover-capture').css({
          'transform': `translate(0px, ${vScroll / 2}%)`,
          'opacity': opacity
        });
      });
    });
  },
  destroyed() {
    $(window).off( "scroll", "**" );
  }
};
</script>
<style lang="scss">
.jumbotron {
  padding: 1rem 0rem;
}

.main-cover {
  height: 600px;
  background-image: url("../assets/main-cover.jpg");
  background-repeat: no-repeat;
  background-position: right;
  background-size: contain;
  background-color: #ded6c1;
  background-attachment: fixed;
  position: relative;
  overflow: hidden;
  z-index: 1000;
  .cover-capture {
    position: absolute;
    top: 40%;
    left: 2%;
    background: rgba(255, 255, 255, 0.8);
    display: inline-block;
    padding: 20px;
    margin: 0;
    h5 {
      font-size: 22px;
    }
    p {
      font-size: 14px;
    }
    button {
      max-width: 60%;
    }
  }
}

.mobile-add {
  display: none;
  & > div {
    height: 450px;
    background-image: url('../assets/main-mob-bg.jpg');
    background-size: cover;
    text-align: center;
    letter-spacing: 1.4px;
    font-size: 18px;
    color: #fff;
  }
  span:first-child {
    padding-top: 40%;
    display: block;
    font-size: 31px;
    font-weight: bold;
  }
  span {
    font-size: 18px;
    display: block;
  }
}

@media (max-width: 992px) {
  .main-cover {
    display: none;
  }
  .mobile-add {
    display: block;
  }
}

.categories-capture {
  margin-top: 60px;
  & > div {
    height: 263px;
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    position: relative;
    margin-bottom: 10px;
    position: relative;

    .category-capture {
      position: absolute;
      top: 0;
      left: 0;
      right: 0;
      padding: 60px 0 20px;
      background: rgba(255, 255, 255, 0.8);
      color: gray;
      font-size: 18px;
      font-weight: bold;
      text-align: center;
      transition: all 0.3s ease-in-out;
      -webkit-transition: all 0.3s ease-in-out;
      cursor: pointer;
      span {
        display: block;
        min-height: 55px;
      }
      @media (max-width: 1102px) {
        span {
          display: block;
          font-size: 16px;
        }
      }
      &:hover {
        padding-top: 80px;
      }
    }
  }

  .capture-1 {
    background-image: url("../assets/cat-2.jpg");
  }
  .capture-2 {
    background-image: url("../assets/cat-1.jpg");
  }
  .capture-3 {
    background-image: url("../assets/cat-3.jpg");
  }
  .capture-4 {
    background-image: url("../assets/cat-4.jpg");
  }
}
@media (max-width: 992px) {
  .categories-capture {
    margin: 0;
  }
}
.promo-block {
  max-width: 1000px;
  margin: 0 auto;
  margin: 60px 0 20px;
  height: 500px;
  background-color: #f9f9f9;
  background-image: url("../assets/vacay-vibes.gif");
  background-position: right;
  background-size: contain;
  background-repeat: no-repeat;
  
}
.promo-capture {
  background-color: #f9f9f9c7;
  display: inline-block;
  padding: 10%;
  height: 100%;
  color: gray;
  p {
    text-align: center;
    font-size: 20px;
  }
  p:last-child {
    text-align: center;
    font-size: 16px;
  }
  .promo-code {
    font-style: italic;
    color: orange;
  }
  .fa-heart {
    color: #b19d75;
  }
}

.widget-newsletter {
  width: 100%;

  .footer-text {
    padding: 68px 30px 0;
    h5 {
      font-size: 18px;
    }
    p, li {
      font-size: 14px;
    }
    .fa-envelope {
      color: gray;
    }
  }
  .main-wrapper {
    background-color: #ede8d7;
  }

  .widget-title {
    color: gray;
    font-size: 16px;
    line-height: 1.66;
    margin-bottom: 25px;
    padding-bottom: 10px;
    position: relative;
    text-align: center;
    text-transform: uppercase;
  }
  .widget-title::before {
      background-color: #b19d75;
      bottom: 0;
      content: "";
      height: 2px;
      left: 0;
      margin: 0 auto;
      position: absolute;
      right: 0;
      width: 30px;
  }

  .newsletter-box {
    padding: 37px 30px;
    text-align: center;
    .main.newsletter-wrapper {
      max-width: 400px;
      margin: 0 auto;
    }
    h4 {
      font-size: 18px;
      font-weight: bold;
      letter-spacing: -0.45px;
      line-height: 1.66;
      margin-bottom: 7px;
    }
    p {
      color: #717171;
      letter-spacing: 0.225px;
      line-height: 1.73;
      font-size: 14px;
    }
    & > i {
      background-color: #fff;
      border-radius: 50%;
      display: inline-block;
      font-size: 28px;
      line-height: 2.3;
      height: 57px;
      width: 57px;
      margin-bottom: 25px;
    }

    form {
      display: inline-block;
      width: 100%;

      .form-control {
          background-color: #ffffff;
          border: none;
          border-radius: 0;
          box-shadow: none;
          color: #717171;
          outline: none;
          padding-top: 0.6rem;
          padding-bottom: 0.6rem;
          text-align: center;
      }
    }
  }
}
</style>
